io.vertx.mysqlclient

## Interface MySQLPool

- All Superinterfaces:
    Pool, SqlClient

      public interface MySQLPool
      extends Pool

  A `pool` of `MySQL Connections`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `MySQLPool` | `connectHandler(Handler<SqlConnection> handler)` Set an handler called when the pool has established a connection to the database.
    `MySQLPool` | `connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)` Replace the default pool connection provider, the new `provider` returns a future connection for a given `Context`.
    `static MySQLPool` | `pool(List<MySQLConnectOptions> databases, PoolOptions options)` Create a connection pool to the MySQL `databases` with round-robin selection.
    `static MySQLPool` | `pool(MySQLConnectOptions database, PoolOptions options)` Create a connection pool to the MySQL `server` configured with the given `options`.
    `static MySQLPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with default options.
    `static MySQLPool` | `pool(String connectionUri, PoolOptions options)` Like `pool(MySQLConnectOptions, PoolOptions)` with `database` built from `connectionUri`.
    `static MySQLPool` | `pool(Vertx vertx, List<MySQLConnectOptions> databases, PoolOptions options)` Like `pool(List, PoolOptions)` with a specific `Vertx` instance.
    `static MySQLPool` | `pool(Vertx vertx, MySQLConnectOptions database, PoolOptions options)` Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String, PoolOptions)` with default options.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri, PoolOptions options)` Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `database` built from `connectionUri`.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `close, getConnection, getConnection, pool, pool, pool, preparedQuery, query, size, withConnection, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close, preparedQuery`

- - ### Method Detail

    - #### pool

          static MySQLPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with default options.

    - #### pool

          static MySQLPool pool(String connectionUri,
                                PoolOptions options)

      Like `pool(MySQLConnectOptions, PoolOptions)` with `database` built from `connectionUri`.

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri)

      Like `pool(Vertx, String, PoolOptions)` with default options.

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri,
                                PoolOptions options)

      Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `database` built from `connectionUri`.

    - #### pool

          static MySQLPool pool(MySQLConnectOptions database,
                                PoolOptions options)

      Create a connection pool to the MySQL `server` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                MySQLConnectOptions database,
                                PoolOptions options)

      Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### pool

          static MySQLPool pool(List<MySQLConnectOptions> databases,
                                PoolOptions options)

      Create a connection pool to the MySQL `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of servers
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                List<MySQLConnectOptions> databases,
                                PoolOptions options)

      Like `pool(List, PoolOptions)` with a specific `Vertx` instance.

    - #### connectHandler

          MySQLPool connectHandler(Handler<SqlConnection> handler)

      Description copied from interface: `Pool`
      Set an handler called when the pool has established a connection to the database.

      This handler allows interactions with the database before the connection is added to the pool.

      When the handler has finished, it must call `SqlClient.close()` to release the connection to the pool.

      Specified by:
        `connectHandler` in interface `Pool`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionProvider

          MySQLPool connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)

      Description copied from interface: `Pool`
      Replace the default pool connection provider, the new `provider` returns a future connection for a given `Context`.

      A `ConnectionFactory` can be used as connection provider.

      Specified by:
        `connectionProvider` in interface `Pool`
      Parameters:
        `provider` - the new connection provider
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2022 Eclipse. All rights reserved.